AUC_lnK_R_NX,dimRedResult-method {dimRed} | R Documentation

## Method AUC_lnK_R_NX

### Description

Calculate the Area under the R_NX(ln K), used in Lee et. al. (2015). Note that despite the name, this does not weight the mean by the logarithm, but by 1/K. If explicit weighting by the logarithm is desired use `weight = "log"` or `weight = "log10"`

### Usage

    ## S4 method for signature 'dimRedResult'
    AUC_lnK_R_NX(object, weight = "inv")

### Arguments

`object` | of class dimRedResult
`weight` | the weight function used, one of `c("inv", "log", "log10")`

### Details

The naming confusion originated from equation 17 in Lee et al (2015) and the name of this method may change in the future to avoid confusion.

### References

Lee, J.A., Peluffo-Ordonez, D.H., Verleysen, M., 2015. Multi-scale similarities in stochastic neighbour embedding: Reducing dimensionality while preserving both local and global structure. Neurocomputing 169, 246-261. https://doi.org/10.1016/j.neucom.2014.12.095

### See Also

Other Quality scores for dimensionality reduction: `LCMC,dimRedResult-method`, `Q_NX,dimRedResult-method`, `Q_global,dimRedResult-method`, `Q_local,dimRedResult-method`, `R_NX,dimRedResult-method`, `cophenetic_correlation,dimRedResult-method`, `distance_correlation,dimRedResult-method`, `mean_R_NX,dimRedResult-method`, `plot_R_NX`, `quality,dimRedResult-method`, `reconstruction_error,dimRedResult-method`, `reconstruction_rmse,dimRedResult-method`, `total_correlation,dimRedResult-method`

[Package dimRed version 0.2.2 Index]